"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BACKEND_FACTORY_DICT = void 0;
const file_1 = require("./file");
const nop_1 = require("./nop");
function obsLoader() {
    const m = require('./obs');
    if (m === null || m === void 0 ? void 0 : m.default) {
        return m.default;
    }
    throw new Error('Load OBS Storage failed: have you installed the "esdk-obs-nodejs" NPM module?');
}
function s3Loader() {
    const m = require('./s3');
    if (m === null || m === void 0 ? void 0 : m.default) {
        return m.default;
    }
    throw new Error('Load S3 Storage failed: have you installed the "aws-sdk" NPM module?');
}
function etcdLoader() {
    const m = require('./etcd');
    if (m) {
        return m;
    }
    throw new Error('Load Etcd Storage failed: have you installed the "etcd3" NPM module?');
}
exports.BACKEND_FACTORY_DICT = {
    etcd: etcdLoader,
    file: () => file_1.StorageFile,
    nop: () => nop_1.StorageNop,
    obs: obsLoader,
    s3: s3Loader,
};
//# sourceMappingURL=backend-config.js.map