#!/usr/bin/env ts-node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const blue_tape_1 = __importDefault(require("blue-tape"));
const etcd_1 = require("./etcd");
blue_tape_1.default('etcd storage smoke testing', async (t) => {
    const EXPECTED_PAYLOAD = { mol: 42 };
    const NAME = 'tmp/memory-card-unit-test-' + Math.random().toString().substr(2);
    const etcd = new etcd_1.StorageEtcd(NAME, {
        hosts: '127.0.0.1:2379',
    });
    let empty = await etcd.load();
    t.deepEqual(empty, {}, 'should get back a empty object for non-exist data');
    await etcd.save(EXPECTED_PAYLOAD);
    const payload = await etcd.load();
    t.deepEqual(payload, EXPECTED_PAYLOAD, 'should get back data from s3');
    await etcd.destroy();
    empty = await etcd.load();
    t.deepEqual(empty, {}, 'should get back a empty object after destroy()');
});
//# sourceMappingURL=etcd.spec.js.map