#!/usr/bin/env ts-node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const blue_tape_1 = __importDefault(require("blue-tape"));
const file_1 = require("./file");
blue_tape_1.default('smoke testing', async (t) => {
    const EXPECTED_PAYLOAD = { mol: 42 };
    const NAME = Math.random().toString().substr(2);
    const file = new file_1.StorageFile(NAME, {});
    let empty = await file.load();
    t.deepEqual(empty, {}, 'should get back a empty object for non-exist data');
    await file.save(EXPECTED_PAYLOAD);
    const payload = await file.load();
    t.deepEqual(payload, EXPECTED_PAYLOAD, 'should get back data from s3');
    await file.destroy();
    empty = await file.load();
    t.deepEqual(empty, {}, 'should get back a empty object after destroy()');
});
//# sourceMappingURL=file.spec.js.map