"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StorageNop = void 0;
const config_1 = require("../config");
const backend_1 = require("./backend");
class StorageNop extends backend_1.StorageBackend {
    constructor(name, options) {
        config_1.log.verbose('StorageNop', 'constructor(%s, ...)', name);
        super(name, options);
    }
    toString() {
        const text = [
            this.constructor.name,
            '<nop>',
        ].join('');
        return text;
    }
    async load() {
        config_1.log.verbose('StorageNop', 'load()');
        return {};
    }
    async save(_ /* payload */) {
        config_1.log.verbose('StorageNop', 'save()');
    }
    async destroy() {
        config_1.log.verbose('StorageNop', 'destroy()');
    }
}
exports.StorageNop = StorageNop;
exports.default = StorageNop;
//# sourceMappingURL=nop.js.map