#!/usr/bin/env ts-node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const blue_tape_1 = __importDefault(require("blue-tape"));
const fixtures_1 = require("../../tests/fixtures");
const s3_1 = require("./s3");
blue_tape_1.default('amazon s3 storage smoke testing', async (t) => {
    if (!fixtures_1.AWS_SETTING) {
        t.skip('AWS S3 environment variables not set.');
        return;
    }
    const EXPECTED_PAYLOAD = { mol: 42 };
    const NAME = 'tmp/memory-card-unit-test-' + Math.random().toString().substr(2);
    const s3 = new s3_1.StorageS3(NAME, fixtures_1.AWS_SETTING);
    let empty = await s3.load();
    t.deepEqual(empty, {}, 'should get back a empty object for non-exist data');
    await s3.save(EXPECTED_PAYLOAD);
    const payload = await s3.load();
    t.deepEqual(payload, EXPECTED_PAYLOAD, 'should get back data from s3');
    await s3.destroy();
    empty = await s3.load();
    t.deepEqual(empty, {}, 'should get back a empty object after destroy()');
});
//# sourceMappingURL=s3.spec.js.map