#!/usr/bin/env ts-node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable:no-shadowed-variable
const blue_tape_1 = __importDefault(require("blue-tape"));
const memory_card_1 = require("../src/memory-card");
blue_tape_1.default('integrate testing', async (t) => {
    const card = new memory_card_1.MemoryCard();
    await card.load();
    t.equal(await card.size, 0, 'init with 0');
    await card.set('a', 'b');
    t.equal(await card.size, 1, 'size with 1');
    t.equal(await card.get('a'), 'b', 'get key a with value b');
    await card.clear();
    t.equal(await card.size, 0, 'clear reset to 0');
});
//# sourceMappingURL=memory-card.spec.js.map